#include <iostream>
#include <math.h>
#include <string>
using namespace std;

int main(){ 
    string tekst, rec;
    cin >> tekst >> rec;
    int vrednosti[10] = {0,0,0,0,0,0,0,0,0,0};
    for (int i = 0; i < rec.length(); i++)
    {
        for (int a = 0; a < tekst.length(); a++)
        {
            if (rec[i] == tekst[a])
            {
                vrednosti[i]++;
            }
        }
    }
    int p = 10;
    int g = 0;
    for (int i = 0; i < 10; i++){
        if (p > vrednosti[i])
        {
            
            if (vrednosti[i] != 0) {
                p = vrednosti[i];
                if (p == 0)
                    break;
                g = i;
                
             
            }            
        }
    }
   int x = tekst.find(rec[g]);
   for (int i = 0; i < p; i++)
   {
        tekst.replace(x,1,"*");
        x = tekst.find(rec[g]);
   }
   cout << p << endl << tekst;
    
    
}